Subject: Re: bug#26589: Can't built Emacs from source (both master and 25.1 from tarball fail)

From: Göktuğ Kayaalp <[email-masked]>
Date: Sat, 22 Apr 2017 20:49:53 +0300

On 2017-04-22 13:09 +04, [email-masked] wrote:
> retitle 26589 Build error: TIT dictionary doesn’t have body part
> tags 26589 unreproducible
> close 26589 
> quit
>
> Göktuğ Kayaalp <[email-masked]> writes:
>
>>>
>>> Try running configure with REL_ALLOC=no.
>>
>> I've had to switch linux distros on my workstation (Xubuntu->Fedora),
>> and now the build completes perfectly, without errors.  Not having
>> access to a Xubuntu installation, I can't reproduce or further debug
>> this issue, I'm sorry.
>>
>> But both OS's had GCC 6 on them, and maybe what caused the failure on
>> Xubuntu was a certain configuration of the compiler on that platform.
>> Again, I can't test the configuration variable on that system, please
>> excuse me.  But on Fedora with GCC 6.3.1 and without REL_ALLOC=no, Emacs
>> does compile.
>
> The segfault during building sounds like the rel_alloc thing; even if
> you can build 25.1 on Fedora without REL_ALLOC=no it's probably just a
> coincidence.  That build will likely crash later.

I actually use whatever is the default value for REL_ALLOC, and I only
have built master as of today (eb52828a439f674733ba70844b795c6673733572).

> But the other error must be something else.
>
>> I guess this bug report can be closed if there's nobody else that can
>> reproduce the problem.  Again, sorry for the botherment.
>
> I searched for the error and found only this:
> https://qiang51.wordpress.com/2012/06/17/the-annoying-appledouble-file/
> which seems to be about some (macOS specific?) incorrect unpacking of
> the sources.
>
> Anyway, closing for now, if it comes up again we can reopen.

Best,
-gk.